Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Generate a Magic Link for a test user.
This endpoint is used to generate a Magic Link for a test user. You can define whether this is sent via email or sms.
Once you generate the Magic Link Token must be verified via verify token
See Also
- See Magic link Authentication for details about implementing magic links.
- See Create a user with the
testflag set to true to set it as a test user. - See Manage Test Users for more information on test users.
curl -X POST "https://api.descope.com/v1/mgmt/tests/generate/magiclink" \ -H "Content-Type: application/json" \ -d '{}'{ "loginId": "string", "link": "string"}export interface Response {loginId?: stringlink?: string}Generate OTP POST
### Generate an OTP verification code for a test user. This endpoint is used to generate an OTP verification code for a test user. You can define whether this is sent via email or sms. Once you generate the OTP code, you must verify the OTP code via [verify OTP email](/api/otp/email/verify-otp) or [verify OTP sms](/api/otp/sms/verify-otp) ### See Also - See [OTP Authentication](/api/otp/) for details about implementing OTP. - See [Create a user](/api/management/users/create-user) with the `test` flag set to true to set it as a test user. - See [Manage Test Users](/manage/testusers/) for more information on test users.
Generate Enchanted Link POST
### Generate a Enchanted Link for a test user. This endpoint is used to generate a Enchanted Link for a test user. You can define whether this is sent via email or sms. Once you generate the Enchanted Link Token must be verified via [verify token](/api/enchanted-link/verify-token) ### See Also - See [Enchanted link Authentication](/api/enchantedlink/) for details about implementing enchanted links. - See [Create a user](/api/management/users/create-user) with the `test` flag set to true to set it as a test user. - See [Manage Test Users](/manage/testusers/) for more information on test users.